package com.incubator.game.data.po;

import java.util.ArrayList;
import java.util.List;

/**
 * 比赛数据实体类
 * 作者：agui
 * 自动创建时间：2022-10-01 02:24:37
 */
public class ContestPO {

    /** 赛事id */
    public int contestId;
    /** 已报名角色id **/
    public List<String> actors = new ArrayList<>();
    /** 开始时间 **/
    public long startTime;
    /** 结束时间 **/
    public long endTime;

    /** 比赛类型 1:大奖赛 **/
    public int contestType;
    /** 比赛等级 **/
    public int level;
    /** 比赛名称 **/
    public String name;
    /** 比赛海报地址 **/
    public String url;
    /** 比赛房间玩法类型 1:掼蛋 2.转蛋*/
    public int type;

    /** 检测标记 **/
    public boolean flag;
    /** 时间秒数 **/
    public int time;
    /** 比赛状态(0等待/报名中 1比赛开始 2进行中 3已结束) **/
    public int state;

    public ContestPO() {}

    public void init() {
        this.contestId = 0;
        this.actors.clear();
        this.startTime = 0L;
        this.endTime = 0L;
        this.contestType = 0;
        this.level = 0;
        this.name = "";
        this.url = "";
        this.type = 0;
    }

}
