package com.incubator.game.data.po;

/**
 * 数据库表[player_info]对应的实体类
 * 作者：agui
 * 自动创建时间：2022-10-01 02:24:37
 */
public class PlayerInfoPO {
	/** 角色id */
	public String playerId;
	/** 名称 **/
	public String name;
	/** 性别 0-男 1-女 **/
	public int sex;
	/** 会员经验值(累加经验值) **/
	public long exp;
	/** 会员等级 **/
	public int vipLevel;

	/** 大师分 **/
	public long masterScore;
	/** 大师分等级 **/
	public int masterScoreLevel;
	/** 金币(金蛋) **/
	public long gold;
	/** 钻石 **/
	public long diamond;

	/** VIP开始时间 **/
	public String startTimeVip;
	/** VIP结束时间 **/
	public String endTimeVip;

	/** GPS **/
	public String gps;
	/** GPS位置详情 **/
	public String gpsAddr;

	/** 福卡 **/
	public long foca;
	/** 系统排名 **/
	public int ranking;
	/** 人物形象序号 **/
	public int figureId;

	/** 实名 **/
	public String realName;
	/** 手机号 **/
	public String phoneNum;
	/** 身份证号 **/
	public String idCard;

	/** 好友局局数 **/
	public int friendMasterNum;
	/** 好友局胜率 **/
	public int friendMasterRate;
	/** 传统积分房分数 **/
	public int tradPoints;
	/** 传统积分房胜率 **/
	public int tradPointsRate;
	/** 传统匹配房分数 **/
	public int tradMatchNum;
	/** 传统匹配房胜率 **/
	public int tradMatchRate;
	/** 不洗牌局数 **/
	public int noReshNum;
	/** 不洗牌胜率 **/
	public int noReshRate;

	/** 玩家绑定的房间 **/
	public int roomId;
	/** 玩家位置(0东 1南 2西 3北) **/
	public int pos;
	/** 玩家状态(0未准备 1已准备 2游戏中 3结束) **/
	public int state;
	/** 是否托管 **/
	public boolean isAuto;
	/** 玩家手牌信息 **/
	public int[] remainCards = new int[]{};
	/** 当前级牌点数下标  **/
	public int levelIndex;
	/** 级数显示 [我方级数, 对方级数]**/
	public int[] levelPointView = new int[2];
	/** 队友id **/
	public String teammateId;

	/** 比赛id **/
	public int contestId;

	/** 登录token **/
	public String token;

	public PlayerInfoPO () {

	}
}
